Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## lp.ui
Class EvolpVarProcessor

    java.lang.Object
      lp.ui.AbstractProcessor
          lp.ui.EvolpVarProcessor

Direct Known Subclasses:
  EvolpVarWebappHelper

    public abstract class EvolpVarProcessor

extends AbstractProcessor

A developer-friendly aggregation of `EvolpParser`, `EvolpVarTransformer`, `DlpTransformer` and `EvolpSolver`.

Version:
  0.5.0
Author:
  Martin Slota
See Also:
  `EvolpParser`, `EvolpVarTransformer`, `DlpTransformer`, `EvolpSolver`

Nested Class Summary

Nested classes/interfaces inherited from class lp.ui.AbstractProcessor
`AbstractProcessor.StopWatch`

Field Summary
`private DynamicLogicProgram` | `equivDlp`
`private TransformedDlp` | `equivLp`
`private EvolpProgram` | `evolp`
`private Reader` | `input`
`private EvolpParser` | `parser`
`private EvolpSolver` | `solver`
`private EvolpVarTransformer` | `transformer`
`private DlpTransformer` | `transformer2`

Constructor Summary
`EvolpVarProcessor(ConfigManager config)`

Method Summary
`protected void` | `computeModels(Consumer<EvolutionStableModel> processor)`
`protected DynamicLogicProgram` | `getEquivDlp()`
`protected TransformedDlp` | `getEquivLp()`
`protected EvolpProgram` | `getEvolp()`
`void` | `setInput(Reader input)`

Methods inherited from class lp.ui.AbstractProcessor
`escapeXMLSpecials, getConfig, getSW, chmod, showMessage`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### parser

    private final EvolpParser parser

### transformer

    private final EvolpVarTransformer transformer

### transformer2

    private final DlpTransformer transformer2

### solver

    private final EvolpSolver solver

### input

    private Reader input

### evolp

    private EvolpProgram evolp

### equivDlp

    private DynamicLogicProgram equivDlp

### equivLp

    private TransformedDlp equivLp

Constructor Detail

### EvolpVarProcessor

    public EvolpVarProcessor(ConfigManager config)

Method Detail

### setInput

    public void setInput(Reader input)

### getEvolp

    protected EvolpProgram getEvolp()

  Throws:
    `IllegalArgumentException`
    `IOException`
    `LpParserException`

### getEquivDlp

    protected DynamicLogicProgram getEquivDlp()

### getEquivLp

    protected TransformedDlp getEquivLp()

### computeModels

    protected void computeModels(Consumer<EvolutionStableModel> processor)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD